FROM alpine:latest
WORKDIR /usr/src/cre/

RUN apk update
RUN apk add --no-cache nodejs
RUN apk add --no-cache npm

RUN npm install -g typescript@4.0.7
RUN npm install -g @angular/cli@11.2.9 || true

ENV NG_CLI_ANALYTICS=ci

COPY package.json .

RUN npm install --force

COPY . .
