import {Component, Input} from '@angular/core';
import {Recipe, RecipeStep, recipeStepsForGroupId} from '../../../shared/model/recipe.model'

@Component({
  selector: 'cre-step-list',
  templateUrl: './step-list.component.html',
  styleUrls: ['./step-list.component.sass']
})
export class StepListComponent {
  @Input() recipe: Recipe
  @Input() selectedGroupId: number | null

  get steps(): RecipeStep[] {
    return recipeStepsForGroupId(this.recipe, this.selectedGroupId)
  }
}
