import {NgModule} from '@angular/core'
import {CreFormActions, CreFormComponent, CreFormContent, CreFormTitle} from './forms'
import {MatCardModule} from '@angular/material/card'
import {CommonModule} from '@angular/common'
import {MatButtonModule} from '@angular/material/button'
import {ReactiveFormsModule} from '@angular/forms'

@NgModule({
  declarations: [
    CreFormComponent,
    CreFormTitle,
    CreFormContent,
    CreFormActions
  ],
  exports: [
    CreFormComponent,
    CreFormTitle,
    CreFormContent,
    CreFormActions
  ],
    imports: [
        MatCardModule,
        CommonModule,
        MatButtonModule,
        ReactiveFormsModule
    ]
})
export class CreFormsModule {}
