export class Config {
  static readonly INSTANCE_NAME = 'instance.name'
  static readonly INSTANCE_LOGO_PATH = 'instance.logo.path'
  static readonly INSTANCE_ICON_PATH = 'instance.icon.path'
  static readonly INSTANCE_URL = 'instance.url'
  static readonly DATABASE_URL = 'database.url'
  static readonly DATABASE_USER = 'database.user'
  static readonly DATABASE_PASSWORD = 'database.password'
  static readonly DATABASE_VERSION = 'database.version.supported'
  static readonly TOUCH_UP_KIT_CACHE_PDF = 'touchupkit.pdf.cache'
  static readonly TOUCH_UP_KIT_EXPIRATION = 'touchupkit.expiration'
  static readonly EMERGENCY_MODE = 'env.emergency'
  static readonly APP_VERSION = 'env.version'
  static readonly JAVA_VERSION = 'env.java.version'
  static readonly OPERATING_SYSTEM = 'env.os'

  constructor(
    public key: string,
    public content: string,
    public lastUpdated: string,
    public requireRestart: boolean,
    public editable: boolean
  ) {
  }
}
