export class TouchUpKit {
  constructor(
    public id: number,
    public project: string,
    public buggy: string,
    public company: string,
    public quantity: number,
    public shippingDate: string,
    public completed: boolean,
    public completionDate: string,
    public finish: string[],
    public material: string[],
    public content: TouchUpKitProduct[]
  ) {
  }
}

export class TouchUpKitProduct {
  constructor(
    public id: number,
    public name: string,
    public description: string | null,
    public quantity: number,
    public ready: boolean
  ) {
  }
}
